Bug 1594

Summary: gcov coverage test support for applications over DCE
Product: dce Reporter: Hajime Tazaki <tazaki>
Component: otherAssignee: Hajime Tazaki <tazaki>
Status: CLOSED FIXED    
Severity: enhancement CC: ns-bugs
Priority: P1    
Version: unspecified   
Hardware: PC   
OS: Linux   
Attachments: gcov support patch for ns-3-dce
gcov support patch for ns-3-linux
gcov support patch for ns-3-dev

Description Hajime Tazaki 2013-02-22 10:29:11 EST
Created attachment 1520 [details]
gcov support patch for ns-3-dce

current DCE cannot gather the gcov coverage information of applications running over DCE, including Linux kernel.

The attached patchsets the work-in-progress ones that should be improved before merging.
Comment 1 Hajime Tazaki 2013-02-22 10:29:43 EST
Created attachment 1521 [details]
gcov support patch for ns-3-linux
Comment 2 Hajime Tazaki 2013-02-22 10:31:19 EST
Created attachment 1522 [details]
gcov support patch for ns-3-dev

it's a bad idea to handle global scope exit handler though.
Comment 3 Hajime Tazaki 2013-03-25 02:53:03 EDT
changeset 412	b6d3dc1d6def